component-section
  div(slot='title') OW-1 Inleiding in softwarearchitectuur
  component-intendedlearningoutcomes
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt
      |
      strong software architecture
      |
      | uit.
    component-criterion(codes='["SA-begrip-concepten"]') legt de specifieke rol van softwarearchitect uit.
    component-criterion(codes='["SA-begrip-concepten"]')
      | legt de houding, kennis en vaardigheden uit van softwarearchitect vergeleken met een software-ontwikkelaar.
  component-section
    div(slot='title') Wat is softwarearchitectuur?
    p.bron What is Software Architecture
    component-video(videoid='Rn1g6V-vlHw', title='What is Software Architecture')
    component-section
      div(slot='title') Definitie volgens George Fairbanks
      component-exercise
        p
          | Hoe onderscheidt
          |
          em architectuurontwerp
          |
          | (
          q architectural details
          | ) zich van
          |
          em detailontwerp
          |
          | volgens George Fairbanks?
  component-section
    div(slot='title') De softwarearchitect
    component-section
      div(slot='title') De softwarearchitect versus andere architectrollen in de IT
      p.bron
        | Role of Solution Architect in Software Development, Compared with Enterprise and Software Architects
      component-video(
        videoid='zB9WuYE1REI',
        title='Role of Solution Architect in Software Development, Compared with Enterprise and Software Architects')
      component-section
        div(slot='title') Takenscheiding van architecten
        component-exercise
          p
            | Noem een unieke taak voor de a) enterprise, b) solution en c) software architect met betrekking tot de implementatie van één denkbeeldige softwareoplossing.
    component-section
      div(slot='title') Hoe ontwikkel je je van softwareontwikkelaar tot softwarearchitect?
      p.bron Becoming A Software Architect
      component-video(videoid='FKYKeqWfyIs', title='Lesson 86 - Become A Software Architect (Part 1)')
      component-video(videoid='olMSYbBP4y8', title='Lesson - 87 Becoming A Software Architect Part 2')
      component-video(videoid='KyaU47XJNIk', title='Lesson 88 - Becoming A Software Architect Part 3')
      component-video(videoid='fS8Ejg3qsJI', title='Lesson 89 - Become A Software Architect (Part 4)')
      component-video(videoid='G6TBHYPGTls', title='Lesson 90 - Becoming A Software Architect (Part 5)')
    component-section
      div(slot='title') Loopbaanplanning voor aspirant-softwarearchitecten
      component-exercise
        p
          | Mark Richards benoemt een aantal stappen (
          q roadmap
          | ) die je moet zetten, mocht je softwarearchitect willen worden.
        p Reflecteer op hoe ver jij bent ten aanzien vasn iedere stap.
        p
          | (N.B.: Je hoeft niet echt softwarearchitect te willen worden.
          | Dit is een gedachte-oefening.)
  component-section
    div(slot='title') Bestuderen
    p.bron
      cite(data-id='6867189/KRJVJXEU', data-label='chapter', data-locator='1-3') Bass, L., Clements, P., Kazman, R. (2012). Software Architecture in Practice
    p.bron
      a(href='bron/material/ISO_IEC_IEEE_42010.pdf') NEN-ISO/IEC/IEEE 42010:2011 Chapter 5 - Architecture description
  component-section(extra='')
    div(slot='title') Verdieping
    p.bron
      cite(data-id='6867189/KRJVJXXX', data-label='book', data-locator='1') Fowler, M. (2002). Patterns of enterprise application architecture.
    p.bron
      a(href='bron/material/Nuseibeh_TwinPeaksModel.pdf')
        | Nuseibeh, B. (2001). Weaving Together Requirements and Architectures - pp. 115-117
    p.bron
      a(href='bron/material/Kruchten_WhatArchitectsDo.pdf')
        | Kruchten, P. (2008). Controversy Corner: What do software architects really do?. Journal of Systems and Software, 81(12), 2413-2416
  component-section
    div(slot='title') 👨‍🏫 Presentatie
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW1.pdf') Lesweek 1
